/*------------------------------------------------------*/
/* PROGRAM:  FHBCBPRS.CMD                               */
/* IBM COBOL VisualSet for OS/2  Sample TeamConnection  */
/* Parser                                               */
/* Parses both COBOL for OS/2 and COBOL for MVS source  */
/* code                                                 */
/*                                                      */
/*------------------------------------------------------*/
/*          IBM TeamConnection for OS/2                 */
/*                 Version 1 Release 0                  */
/*                    5622-717                          */
/*                                                      */
/* (C) Copyright, IBM Corp., 1995. All Rights Reserved. */
/*          Licensed Materials - Property of IBM        */
/*         US Government Users Restricted Rights        */
/*  - Use, duplication or disclosure restricted by      */
/*      GSA ADP Schedule Contract with IBM Corp.        */
/*                                                      */
/*          IBM is a registered trademark of            */
/*     International Business Machines Corporation      */
/*                                                      */
/* DISCLAIMER OF WARRANTIES:                            */
/*  The following enclosed code is sample code created  */
/*  by IBM Corporation.  This sample code is not part of*/
/*  any standard product and is provided to you solely  */
/*  for the purpose of assisting you in the development */
/*  of your applications.  The code is provide "AS IS", */
/*  without warranty of any kind. IBM shall not be      */
/*  liable for any damages arising out of your use      */
/*  of the sample code                                  */
/*------------------------------------------------------*/
/*                                                      */
/* Inputs from the argument list                        */
/*      NAME - name of COBOL source to parse            */
/*      OUTFILE - name of file to put referenced copy   */
/*                file names into                       */
/*                                                      */
/* Outputs:                                             */
/*  list of copy files referenced by input COBOL source */
/*                                                      */
/* External references:                                 */
/*   FHBCBP.EXE                                         */
/*   FHBCPP1.DLL                                        */
/*   FHBCPP2.DLL                                        */
/*   FHBCPP3.DLL                                        */
/*------------------------------------------------------*/

Parse Arg name outfile familyname releasename workareaname
"@echo off"

  "SET DD:INFILE="name",RECSIZE(80)"
  "SET DD:COP="outfile",APPEND(N),RECSIZE(80)"
  say "Parsing COBOL source file" name ...
  "FHBCBP"
  xrc = rc

exit(xrc)

